This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 250717 - disk print - Missing info about File system in LVM row
disk print - Missing info about File system in LVM row
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: parted (Show other bugs)
5.0
s390x Linux
low Severity low
: ---
: ---
Assigned To: Joel Andres Granados
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 02:40 EDT by Martin Kočí
Modified: 2008-11-03 09:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-03 09:38:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Four dasd devices (First two sectors) (225 bytes, application/x-bzip2)
2008-11-03 09:18 EST, Joel Andres Granados
no flags Details

  None (edit)
Description Martin Kočí 2007-08-03 02:40:44 EDT
Description of problem:
When I perform command "#parted /dev/dasda print" with old
version, than it shows me File system (ext3) in row where LVM is, but if I
perform the same command with new version of parted it doesn't show me type of
File system in the same row. 

Version-Release number of selected component (if applicable):
parted-1.8.1-11.el5.s390x

How reproducible:
run command '#parted /dev/dasda print' and see "File system" column

Steps to Reproduce with version parted-1.8.1-11:
1. run #parted /dev/dasda print
  
Actual results:
Number  Start   End     Size    File system  Flags
 1      98.3kB  105MB   105MB                lvm
 2      105MB   2462MB  2357MB               raid

Expected results:
Number  Start   End     Size    File system  Flags
 1      98.3kB  105MB   105MB   ext3         lvm
 2      105MB   2462MB  2357MB               raid

Additional info: 
I have found this issue only on s390x (RHEL 5.0)
Comment 1 Joel Andres Granados 2008-06-10 08:07:11 EDT
is the previous parted version 1-8-1-10?
have you seen this behaviour in other archs?
Comment 2 Martin Kočí 2008-06-10 08:49:43 EDT
is the previous parted version 1-8-1-10?
- no, the previous version is parted-1.8.1-4
have you seen this behaviour in other archs?
- no, just only in s390x
Comment 3 Joel Andres Granados 2008-06-10 10:59:30 EDT
Very similar issue in 47 184407
Comment 4 Joel Andres Granados 2008-06-18 09:43:39 EDT
A patch for https://bugzilla.redhat.com/show_bug.cgi?id=224257 was put into
parted for 5.1 and it addresses the lvm flag with filesystem occurring at the
same time.
Look at comment 36 in that bug.

No the question is, do you have an ext3 or pv on that first partition.  My bet
is on the ext3.  Can you please post the first 1024 bytes of you disk to the
bug.  With this I might be able to get a better idea of what is occurring.

Comment 5 Joel Andres Granados 2008-11-03 09:18:53 EST
Created attachment 322303 [details]
Four dasd devices (First two sectors)

Spoke to Martin and he was so kind to give me access to the machine that was causing problems.  I'm attaching the first 1024 bytes of the four dasd devices that I found in the Martin's machine.
Comment 6 Joel Andres Granados 2008-11-03 09:38:56 EST
On further test in the machine that Martin provided, I could not see the issue described in comment #0.  FWI, the version of parted in the machine is now parted-1.8.1-17.el5.s390x instead of parted-1.8.1-11.  I'm closing this issue for the time being, as I am confident that it is taken care of.

Note You need to log in before you can comment on or make changes to this bug.